//einbinden der Bibliothek zum ansteuern
//des IRF520 Moduls
#include "HCMotor.h"

//das IRF520 Modul ist am
//digitalen Pin D6 angeschlossen
#define FAN 6

//initialisieren eines leeren Objektes
//vom Typ HCMotor
HCMotor irf520;

void setup() {
  //aufrufen der Funktion Init am Objekt
  irf520.Init();
  //auf dem Kanal 0 den Typ DCMOTOR mit
  //dem digitalen Pin des Modules verbinden
  irf520.attach(0, DCMOTOR, FAN);
  //eine Range von 0 bis 100 definieren
  fan.DutyCycle(0, 100);
}

void loop() {
  //lesen des Wertes vom IR-Abstandssensors
  int irValue = analogRead(A0);
  //mappen der Range von analogen Werten von 0 bis 1023
  //auf die Range des Motors / Lüfters
  int fanValue = map(irValue, 0, 1024, 0, 100);
  //setzen des ermittelnden Wertes
  fanOnTime(0, fanValue);
  //eine kleine Pause von 25ms.
  delay(25);
}
